Piloterr

Autodoc Product Related

Vehicle fitment lines per maker for an Autodoc product. All parameters from Product fetch.params are required.

Credit cost: 2 credits per call

GET
/v2/autodoc/product/related

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Same HTTPS product page URL as Product.

Example: https://www.auto-doc.fr/ridex/7999541

maker_id*number

TecDoc maker id from compatibility.cars[] / compatibility.trucks[], e.g. 93 for RENAULT.

vehicle_type*string

Required. pkw (passenger cars) or lkw (commercial). Must match the compatibility row.

Default"pkw"
maker_name*string

Required maker label from compatibility, e.g. RENAULT. Used to parse vehicle lines.

product_id*number

Required article id from Product response or URL path, e.g. 7999541.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/autodoc/product/related?query=string&maker_id=0&vehicle_type=pkw&maker_name=string&product_id=0"
{
  "models": [
    "RENAULT Rapid (F40, G40) (Année de construction 07.1985 - 11.2001)",
    "RENAULT Clio I 3/5 portes (Année de construction 05.1990 - 09.1998)",
    "RENAULT Twingo I 3 portes (Année de construction 03.1993 - 10.2012)",
    "RENAULT R5 3/5 portes (Année de construction 01.1972 - 12.1985)",
    "RENAULT Super 5 3/5 portes (B40, C40) (Année de construction 10.1984 - 12.1996)",
    "RENAULT Clio I Van (Année de construction 01.1991 - 09.1998)",
    "RENAULT Super 5 Van (S40) (Année de construction 10.1984 - 12.1996)",
    "RENAULT Twingo I Van (Année de construction 03.1993 - 06.2012)"
  ],
  "maker_id": 93,
  "vehicles": [
    {
      "raw": "RENAULT Rapid (F40, G40) (Année de construction 07.1985 - 11.2001)",
      "brand": "RENAULT",
      "model": "Rapid (F40, G40) (Année de construction 07.1985 - 11.2001)",
      "end_date": "11.2001",
      "model_id": 17,
      "start_date": "07.1985"
    },
    {
      "raw": "RENAULT Clio I 3/5 portes (Année de construction 05.1990 - 09.1998)",
      "brand": "RENAULT",
      "model": "Clio I 3/5 portes (Année de construction 05.1990 - 09.1998)",
      "end_date": "09.1998",
      "model_id": 21,
      "start_date": "05.1990"
    },
    {
      "raw": "RENAULT Twingo I 3 portes (Année de construction 03.1993 - 10.2012)",
      "brand": "RENAULT",
      "model": "Twingo I 3 portes (Année de construction 03.1993 - 10.2012)",
      "end_date": "10.2012",
      "model_id": 472,
      "start_date": "03.1993"
    },
    {
      "raw": "RENAULT R5 3/5 portes (Année de construction 01.1972 - 12.1985)",
      "brand": "RENAULT",
      "model": "R5 3/5 portes (Année de construction 01.1972 - 12.1985)",
      "end_date": "12.1985",
      "model_id": 556,
      "start_date": "01.1972"
    },
    {
      "raw": "RENAULT Super 5 3/5 portes (B40, C40) (Année de construction 10.1984 - 12.1996)",
      "brand": "RENAULT",
      "model": "Super 5 3/5 portes (B40, C40) (Année de construction 10.1984 - 12.1996)",
      "end_date": "12.1996",
      "model_id": 560,
      "start_date": "10.1984"
    },
    {
      "raw": "RENAULT Clio I Van (Année de construction 01.1991 - 09.1998)",
      "brand": "RENAULT",
      "model": "Clio I Van (Année de construction 01.1991 - 09.1998)",
      "end_date": "09.1998",
      "model_id": 4218,
      "start_date": "01.1991"
    },
    {
      "raw": "RENAULT Super 5 Van (S40) (Année de construction 10.1984 - 12.1996)",
      "brand": "RENAULT",
      "model": "Super 5 Van (S40) (Année de construction 10.1984 - 12.1996)",
      "end_date": "12.1996",
      "model_id": 4219,
      "start_date": "10.1984"
    },
    {
      "raw": "RENAULT Twingo I Van (Année de construction 03.1993 - 06.2012)",
      "brand": "RENAULT",
      "model": "Twingo I Van (Année de construction 03.1993 - 06.2012)",
      "end_date": "06.2012",
      "model_id": 4227,
      "start_date": "03.1993"
    }
  ],
  "product_id": 7999541,
  "product_url": "https://www.auto-doc.fr/ridex/7999541",
  "vehicle_type": "pkw"
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}